## Library Utilities Library Utilities — Library utilities such as version checks |

## Functions

#define | GCK_CHECK_VERSION()

## Types and Values

#define | GCK_MAJOR_VERSION
#define | GCK_MICRO_VERSION
#define | GCK_MINOR_VERSION

## Description

Basic library utilities such as version checks.

## Functions

### GCK_CHECK_VERSION()

    #define             GCK_CHECK_VERSION(major,minor,micro)

Checks the version of the Gck libarry that is being compiled against.

Example 1. Checking the version of the Gck library

    1
    2
    3
    #if !GCK_CHECK_VERSION (3, 0, 0)
    #warning Old Gck version, disabling functionality
    #endif

#### Parameters

major | the major version to check for |
minor | the minor version to check for |
micro | the micro version to check for |

#### Returns

`TRUE` if the version of the GLib header files is the same as or newer than the passed-in version.

## Types and Values

### GCK_MAJOR_VERSION

    #define GCK_MAJOR_VERSION (3)

The major version number of the Gck library.

### GCK_MICRO_VERSION

    #define GCK_MICRO_VERSION (1)

The micro version number of the Gck library.

### GCK_MINOR_VERSION

    #define GCK_MINOR_VERSION (28)

The minor version number of the Gck library.